// IvUtil.h++

#ifndef _IvUtil_H_
#define _IvUtil_H_

#include <stream.h>
#include <Inventor/SbLinear.h>
#include <Inventor/nodes/SoTransform.h>
#include <Inventor/actions/SoGetMatrixAction.h>

class IvUtil
{
public:
    static ostream& printMatrix( ostream&, const SbMatrix& );
    static istream& scanMatrix( istream&, SbMatrix& );
    static ostream& printTransform( ostream&, const SoTransform& );
    static istream& scanTransform( istream&, SoTransform& );
};

#endif /* _IvUtil_H_ */
