// ParseLineStream.c++

#include "Parse/ParseLineStream.h++"

void
ParseLineStream::Enter()
{
  lineStream.clear();
  if( !( lineStream << itemBuffer << " " ) )
     {
       Flush();
       assert( lineStream << itemBuffer << " " );
     }
  mark = lineStream.tellp();
  seekp( ios::beg );
}

void
ParseLineStream::Flush()
{
  lineStream.clear();
  if( mark == 0 )
     return;
  lineStream.seekp( mark-1 );
  lineStream << ends;
  *streamP << lineBuffer << endl;
  lineStream.seekp( ios::beg );
  lineStream << prefix;
}

