// HowSlow.h++

#ifndef _HowSlow_H_
#define _HowSlow_H_

#include <sys/time.h>
#include <unistd.h>

static const int INTERVAL_DFLT = 25;

class HowSlow
{
    int interval;
    int count;
    struct timeval start;
    struct timeval end;
    double rate;
    double time_sec;

 public:

    HowSlow( int T = INTERVAL_DFLT );
    void sample();
};

#endif /* _HowSlow_H_ */
