// RPCServer.h++

#ifndef _RPCServer_H_
#define _RPCServer_H_

#include <stdio.h>
#include <rpc/rpc.h>
#include <errno.h>
#include <signal.h>
#include <unistd.h>
#include <sys/prctl.h>

extern "C" void rpc_init(void);

class RPCServer
{
 protected:
    int child_pid;

 public:
    static void service_rpc();
    static void serverThread( void* );
    static void cleanup( ... );
    static int quitFlag;

    RPCServer();
    int start();
    
};

#endif /* _RPCServer_H_ */
