struct ffConfig
{
  int mode;
  int lightThresh;
};

struct ffImagePoint
{
  int valid;
  float u; /* frame units from center */
  float v; /* frame units from center */
  float suu;
  float svv;
  float suv;
};

struct ffQuickPoints
{
    float pts[12]; /* 6 points in pics */
};

struct ffPerson
{
    long frameNumber;
    long timestampSec;
    long timestampUsec;
    int personExists;
    ffImagePoint leftHand;
    ffImagePoint rightHand;
    ffImagePoint head;
};

program FFINDERPROG {
	version FFINDERVERS {
		int ffQUIT( void ) = 0;
		int ffINIT( ffConfig ) = 1;
		int ffFRAME( void ) = 3;
		/* int ffDUMP_SAVE( void ) = 5; */
		ffPerson ffGET_FRAME_RESULT( void ) = 4;
		ffPerson ffGET_CURRENT( void ) = 6;
		void ffforceinit( void ) = 7;
		ffQuickPoints ffgetquickpoints( void ) = 8;
	} = 1;
} = 0x20000095;
