// PurplePoint.h++

#ifndef _PurplePoint_H_
#define _PurplePoint_H_

#include <Inventor/nodes/SoSeparator.h>
#include <Inventor/nodes/SoTransform.h>
#include <Inventor/nodes/SoMaterial.h>
#include <Inventor/nodes/SoSphere.h>

class PurplePoint
{
    static SoSphere* geometry;
    SoSeparator* root;
    SoMaterial* material;
    SoTransform* xform;

 public:
    PurplePoint();
    SoNode* getNode() { return root; }
    void set( double* xyz );
    void setColor( float, float, float );
    static void setSize( double radius ) {
	geometry -> radius = radius;
    }
};

#endif /* _PurplePoint_H_ */
