// SffinderServer.h++

#ifndef _SffinderServer_H_
#define _SffinderServer_H_

#include <stdio.h>
#include <rpc/rpc.h>
#include <errno.h>
#include <signal.h>
#include <unistd.h>
#include <sys/prctl.h>
#include "sffinder_svc.h"
#include "Useless/RPCServer.h++"

class SffinderServer : public RPCServer
{
 public:
    static int undumpFlag;
    static sffPerson homey;
    static sffPersonPlus homeyPlus;
    static int homeyLock;
    static int sleepFlag;
    // void cleanup(...);
    
    SffinderServer();
    void init();
    void copy( const sffPersonPlus& );
    void copy( const sffPerson& );
};

#endif /* _SffinderServer_H_ */
