// stiveClient.c++

#include <stream.h>
#include <rpc/rpc.h>
#include <string.h>
#include <errno.h>
#include <sys/types.h>
#include <sys/time.h>
#include <unistd.h>
#include <math.h>
#include <sys/prctl.h>
#include <signal.h>
#include <assert.h>

#include "SffinderClient.h++"
#include "Parse/Parse.h++"
#include "Useless/HowSlow.h++"

static int verbose = 0;
static char *stiveServer = 0;

static
ostream&
alert( char* fn, char* msg )
{
    return( cerr << "stiveClient: " << fn << "(): ERROR: " << msg << endl );
}

// static
// void
// error( char* fn, char* msg )
// {
//     alert( fn, msg );
//     assert( 0 );
// }

int
main( int argc, char *argv[] )
{
    // Parse cmd line
    ParseRuleArg( stiveServer, "stive server name", "stivehost" );
    ParseRuleFlag( 'v', verbose, 1, "verbose mode" );
    
    if( Parse::ParseCmdLine( argc, argv ) )
       Parse::Usage( argv[0] ), exit(1);

    SffinderClient sffinderClient;
    sffinderClient.connect( stiveServer );

    int quit = 0;
    sffPersonPlus* pp;
    HowSlow howslow;
    while( !quit )
       {
	   howslow.sample();
	   if( verbose )
	      alert( "main", "ping!" );
	   // pp = sffinderClient.getNextPersonPlus();
	   sffinderClient.getPersonFromServer();
       }
    
    return 0;
}

