// vliPixel.h++

#ifndef _vliPixel_H_
#define _vliPixel_H_

#include "vlImage/vliTypes.h++"

class vliPixel
{
 public:
    static inline float
    max( float a, float b ) { return ( ( a > b) ? a : b ); }
    static inline float
    min( float a, float b ) { return ( ( a < b) ? a : b ); }
    static inline float
    limit( float x, float lo, float hi ) { return max(lo,min(hi,x)); }
    static void yuvToRgb( byte y, byte u, byte v,
			  byte& r, byte& g, byte& b );
    static void yuvToRgb2( byte y, byte u, byte v,
			   byte& r, byte& g, byte& b );
    static void rgbToYuv( byte r, byte g, byte b,
			  byte& y, byte& u, byte& v );
    static void rgb2ToUyvy( byte r1, byte g1, byte b1,
			    byte r2, byte g2, byte b2,
			    byte& u, byte& y1, byte& v, byte& y2 );
};


#endif /* _vliPixel_H_ */
