// vliRGBPixel.h++

#ifndef _vliRGBPixel_H_
#define _vliRGBPixel_H_

#include "vlImage/vliTypes.h++"
#include <stream.h>

class vliRGBPixel
{
public:
    byte xbgr[4];
    inline byte& red() { return xbgr[3]; }
    inline byte& green() { return xbgr[2]; }
    inline byte& blue() { return xbgr[1]; }
    inline byte& r() { return xbgr[3]; }
    inline byte& g() { return xbgr[2]; }
    inline byte& b() { return xbgr[1]; }
    inline byte getR() const { return xbgr[3]; }
    inline byte getG() const { return xbgr[2]; }
    inline byte getB() const { return xbgr[1]; }
    enum { UNUSED=0, BLUE=1, GREEN=2, RED=3 };
    enum { X=0, B=1, G=2, R=3 };
    vliRGBPixel() {}
    vliRGBPixel( byte r_, byte g_, byte b_ ) {
	xbgr[3] = r_;
	xbgr[2] = g_;
	xbgr[1] = b_;
    }
    void set( byte r_, byte g_, byte b_ ) {
	xbgr[3] = r_;
	xbgr[2] = g_;
	xbgr[1] = b_;
    }
    ostream& write( ostream& );
    istream& read( istream& );
    ostream& print( ostream& );
    istream& scan( istream& );
};

#endif /* _vliRGBPixel_H_ */
