// vliYUVPixel.h++

#ifndef _vliYUVPixel_H_
#define _vliYUVPixel_H_

#include "vlImage/vliTypes.h++"
#include <stream.h>

class vliYUVPixel
{
public:
    byte y;
    byte u;
    byte v;
    vliYUVPixel() {}
    vliYUVPixel( byte y_, byte u_, byte v_ )
      : y( y_ ), u( u_ ), v( v_ ) {}
    ostream& print( ostream& ) const;
    istream& scan( istream& );
    int isBlack() { return( 16==y && 128==u && 128==v ); }
};

#endif /* _vliYUVPixel_H_ */
