// glDisplay.h++

#ifndef _glDisplay_H_
#define _glDisplay_H_

#include <gl/gl.h>

class glDisplay
{
public:

    enum { RGB = 0, YUV = 1 };

private:

    long window;
    int height;
    int width;
    int packing;

public:

    glDisplay()
      : window( 0 ), height( 0 ), width( 0 ), packing( 0 ) {}
    ~glDisplay();
    glDisplay( int h, int w, char * = "glDisplay", int = RGB );
    void init( int h, int w, char * = "glDisplay", int = RGB );
    glDisplay& operator=( unsigned long * );
};

#endif /* _glDisplay_H_ */
