// vliYUVImage.h++

#ifndef _vliYUVImage_H_
#define _vliYUVImage_H_

#include "vlImage/vliTypes.h++"
#include "vlImage/vliYUVImageRef.h++"

class vliYUVImage : public vliYUVImageRef
{
    byte* allocArray;
public:
    vliYUVImage()
      : vliYUVImageRef( 0, 0, 0 ) {}
    vliYUVImage( int w, int h );
    vliYUVImage( const vliYUVImage& );
    vliYUVImage( const vliYUVImageRef& );
    ~vliYUVImage() { delete allocArray; }
    void set( int w, int h );
    void set( const vliYUVImageRef& );
};

#endif /* _vliYUVImage_H_ */
